Loading...
Searching...
No Matches
enforce_random_access.hpp File Reference

Provides seqan3::views::enforce_random_access. More...

`#include <iterator>`
`#include <ranges>`
`#include <type_traits>`
`#include <seqan3/core/range/detail/adaptor_base.hpp>`
`#include <seqan3/core/range/detail/inherited_iterator_base.hpp>`
`#include <seqan3/utility/range/concept.hpp>`
Include dependency graph for enforce_random_access.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.

## Variables

constexpr auto | seqan3::views::enforce_random_access
| A view adaptor that converts a pseudo random access range to a std::ranges::random_access_range.

## Detailed Description

Provides seqan3::views::enforce_random_access.

Author
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me